# Uses of Interface
org.bukkit.entity.Item

Packages that use Item
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of Item in org.bukkit

Methods in org.bukkit that return Item
Modifier and Type
Method
Description
`@NotNull Item`
World.`dropItem(@NotNull Location location, @NotNull ItemStack item)`
Drops an item at the specified `Location`
`@NotNull Item`
World.`dropItem(@NotNull Location location, @NotNull ItemStack item, @Nullable Consumer<Item> function)`
Drops an item at the specified `Location` Note that functions will run before the entity is spawned
`@NotNull Item`
World.`dropItemNaturally(@NotNull Location location, @NotNull ItemStack item)`
Drops an item at the specified `Location` with a random offset
`@NotNull Item`
World.`dropItemNaturally(@NotNull Location location, @NotNull ItemStack item, @Nullable Consumer<Item> function)`
Drops an item at the specified `Location` with a random offset Note that functions will run before the entity is spawned
Method parameters in org.bukkit with type arguments of type Item
Modifier and Type
Method
Description
`@NotNull Item`
World.`dropItem(@NotNull Location location, @NotNull ItemStack item, @Nullable Consumer<Item> function)`
Drops an item at the specified `Location` Note that functions will run before the entity is spawned
`@NotNull Item`
World.`dropItemNaturally(@NotNull Location location, @NotNull ItemStack item, @Nullable Consumer<Item> function)`
Drops an item at the specified `Location` with a random offset Note that functions will run before the entity is spawned

## Uses of Item in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type Item
Modifier and Type
Method
Description
`default void`
LivingEntity.`playPickupItemAnimation(@NotNull Item item)`
Plays pickup item animation towards this entity.
`void`
LivingEntity.`playPickupItemAnimation(@NotNull Item item, int quantity)`
Plays pickup item animation towards this entity.

## Uses of Item in org.bukkit.event.block

Methods in org.bukkit.event.block that return types with arguments of type Item
Modifier and Type
Method
Description
`@NotNull List<Item>`
BlockDropItemEvent.`getItems()`
Gets list of the Item drops caused by the block break.
Constructor parameters in org.bukkit.event.block with type arguments of type Item
Modifier
Constructor
Description
``
`BlockDropItemEvent(@NotNull Block block, @NotNull BlockState blockState, @NotNull Player player, @NotNull List<Item> items)`

## Uses of Item in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Item
Modifier and Type
Method
Description
`@NotNull Item`
ItemDespawnEvent.`getEntity()`
`@NotNull Item`
ItemMergeEvent.`getEntity()`
`@NotNull Item`
ItemSpawnEvent.`getEntity()`
`@NotNull Item`
EntityPickupItemEvent.`getItem()`
Gets the Item picked up by the entity.
`@NotNull Item`
EntityDropItemEvent.`getItemDrop()`
Gets the Item created by the entity
`@NotNull Item`
ItemMergeEvent.`getTarget()`
Gets the Item entity the main Item is being merged into.
Constructors in org.bukkit.event.entity with parameters of type Item
Modifier
Constructor
Description
``
`EntityDropItemEvent(@NotNull Entity entity, @NotNull Item drop)`
``
`EntityPickupItemEvent(@NotNull LivingEntity entity, @NotNull Item item, int remaining)`
``
`ItemDespawnEvent(@NotNull Item despawnee, @NotNull Location loc)`
``
`ItemMergeEvent(@NotNull Item item, @NotNull Item target)`
``
`ItemSpawnEvent(@NotNull Item spawnee)`
``
`ItemSpawnEvent(@NotNull Item spawnee, Location loc)`
Deprecated.

## Uses of Item in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return Item
Modifier and Type
Method
Description
`@NotNull Item`
InventoryPickupItemEvent.`getItem()`
Gets the Item entity that was picked up
Constructors in org.bukkit.event.inventory with parameters of type Item
Modifier
Constructor
Description
``
`InventoryPickupItemEvent(@NotNull Inventory inventory, @NotNull Item item)`

## Uses of Item in org.bukkit.event.player

Methods in org.bukkit.event.player that return Item
Modifier and Type
Method
Description
`@NotNull Item`
PlayerAttemptPickupItemEvent.`getItem()`
Gets the Item attempted by the player.
`@NotNull Item`
PlayerPickupItemEvent.`getItem()`
Deprecated.
Gets the Item picked up by the player.
`@NotNull Item`
PlayerDropItemEvent.`getItemDrop()`
Gets the ItemDrop created by the player
Constructors in org.bukkit.event.player with parameters of type Item
Modifier
Constructor
Description
``
`PlayerAttemptPickupItemEvent(@NotNull Player player, @NotNull Item item)`
Deprecated.
``
`PlayerAttemptPickupItemEvent(@NotNull Player player, @NotNull Item item, int remaining)`
``
`PlayerDropItemEvent(@NotNull Player player, @NotNull Item drop)`
``
`PlayerPickupArrowEvent(@NotNull Player player, @NotNull Item item, @NotNull AbstractArrow arrow)`
``
`PlayerPickupItemEvent(@NotNull Player player, @NotNull Item item, int remaining)`
Deprecated.